Build #1 for calc-0.1

[all reports]

Package calc-0.1
Install DependencyFailed harpy-0.5.0.0
Docs NotTried
Tests NotTried
Time submitted unknown
Compiler ghc-7.6.3
OS linux
Arch x86_64
Dependencies mtl-2.1.2, haskell98-2.0.0.2, harpy-0.5.0.0, base-4.6.0.1, array-0.4.0.1
Flags -debug

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Downloading disassembler-0.2.0.0...
Configuring disassembler-0.2.0.0...
Building disassembler-0.2.0.0...
Preprocessing library disassembler-0.2.0.0...
[1 of 1] Compiling Text.Disassembler.X86Disassembler ( Text/Disassembler/X86Disassembler.hs, dist/build/Text/Disassembler/X86Disassembler.o )
In-place registering disassembler-0.2.0.0...
Running Haddock for disassembler-0.2.0.0...
Running hscolour for disassembler-0.2.0.0...
Preprocessing library disassembler-0.2.0.0...
Preprocessing library disassembler-0.2.0.0...
Warning: The documentation for the following packages are not installed. No
links will be generated to these packages: rts-1.0, mtl-2.1.2, parsec-3.1.3,
text-0.11.2.3, transformers-0.3.0.0
Haddock coverage:
  65% ( 13 / 20) in 'Text.Disassembler.X86Disassembler'
Warning: Text.Disassembler.X86Disassembler: could not find link destinations for:
    Text.Disassembler.X86Disassembler.OperandSize Text.Parsec.Error.ParseError
Documentation created: dist/doc/html/disassembler/index.html
Installing library in
/srv/hackage/var/build/tmp-install/lib/disassembler-0.2.0.0/ghc-7.6.3
Registering disassembler-0.2.0.0...
Installed disassembler-0.2.0.0
Downloading harpy-0.5.0.0...
Configuring harpy-0.5.0.0...
Building harpy-0.5.0.0...
Preprocessing library harpy-0.5.0.0...
[1 of 7] Compiling Harpy.X86Disassembler ( Harpy/X86Disassembler.hs, dist/build/Harpy/X86Disassembler.o )
[2 of 7] Compiling Harpy.CodeGenMonad ( Harpy/CodeGenMonad.hs, dist/build/Harpy/CodeGenMonad.o )
[3 of 7] Compiling Harpy.Call       ( Harpy/Call.hs, dist/build/Harpy/Call.o )
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.
Loading package array-0.4.0.1 ... linking ... done.
Loading package deepseq-1.3.0.1 ... linking ... done.
Loading package containers-0.5.0.0 ... linking ... done.
Loading package pretty-1.1.1.0 ... linking ... done.
Loading package template-haskell ... linking ... done.
Loading package transformers-0.3.0.0 ... linking ... done.
Loading package mtl-2.1.2 ... linking ... done.
Loading package bytestring-0.10.0.2 ... linking ... done.
Loading package text-0.11.2.3 ... linking ... done.
Loading package parsec-3.1.3 ... linking ... done.
Loading package disassembler-0.2.0.0 ... linking ... done.

Harpy/Call.hs:25:3:
    Unacceptable argument type in foreign declaration: FunPtr ()
    When checking declaration:
      foreign import ccall safe "dynamic" conv :: FunPtr () -> IO ()
Failed to install harpy-0.5.0.0
cabal: Error: some packages failed to install:
calc-0.1 depends on harpy-0.5.0.0 which failed to install.
harpy-0.5.0.0 failed during the building phase. The exception was:
ExitFailure 1